import { BuilderContextInterface, RegisteredComponent } from "../../../context/types.js";
import { BuilderBlock } from "../../../types/builder-block.js";
import { PropsWithBuilderData } from "../../../types/builder-props.js";
import { Dictionary } from "../../../types/typescript.js";
type ComponentOptions = PropsWithBuilderData<{
    [index: string]: any;
    attributes?: {
        [index: string]: any;
    };
}>;
export interface ComponentProps {
    componentRef: any;
    componentOptions: ComponentOptions;
    blockChildren: BuilderBlock[];
    context: BuilderContextInterface;
    components: Dictionary<RegisteredComponent>;
}
export declare const Component: (props: ComponentProps & {
    key?: any;
}) => import("@builder.io/qwik/jsx-runtime").JSX.Element;
export default Component;
