import type { BuilderContextInterface } from '../../../../context/types';
import type { BuilderBlock } from '../../../../types/builder-block';
export type InteractiveElementProps = {
    Wrapper: any;
    block: BuilderBlock;
    context: BuilderContextInterface;
    wrapperProps: object;
};
export declare const getBlockProps: ({ block, contextValue }: Pick<InteractiveElementProps, "block"> & {
    contextValue: BuilderContextInterface;
}) => {
    'builder-id': string | undefined;
    style: string | Partial<CSSStyleDeclaration> | undefined;
    class: string;
    href: any;
};
